# Class TCEFComponentIdList

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFComponentIdList

## Declaration

`type TCEFComponentIdList = class(TObject)`

## Description

Class used to keep a list of valid custom component IDs for any component that handles a CEF Task event.

## Hierarchy

- TObject
- TCEFComponentIdList

## Overview

### Fields

| `FList: TList;`
| `FIdGen: integer;`
| `FSyncObj: TCriticalSection;`

### Methods

| `function GetInitialized: boolean;`
| `function Lock: boolean;`
| `procedure Unlock;`
| `constructor Create;`
| `destructor Destroy; override;`
| `procedure AfterConstruction; override;`
| `function ValidID(aID : integer) : boolean;`
| `function NextID: integer;`
| `procedure RemoveID(aID : integer);`

### Properties

| `property Initialized : boolean read GetInitialized;`

## Description

### Fields

| `FList: TList;`
Using a TList for backwards compatibility reasons.

| `FIdGen: integer;`
This item has no description.

| `FSyncObj: TCriticalSection;`
This item has no description.

### Methods

| `function GetInitialized: boolean;`
This item has no description.

| `function Lock: boolean;`
This item has no description.

| `procedure Unlock;`
This item has no description.

| `constructor Create;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure AfterConstruction; override;`
This item has no description.

| `function ValidID(aID : integer) : boolean;`
Returns true if a custom component ID is valid before executing a CEF task.

| `function NextID: integer;`
Returns the next component ID and adds this value to the valid ID list.

| `procedure RemoveID(aID : integer);`
Removes a component ID from the valid ID list when a component is destroyed.

### Properties

| `property Initialized : boolean read GetInitialized;`
Returns true when this class is fully initialized and ready to be used.

Generated by PasDoc 0.16.0-snapshot.